VERSION 5.00
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.3#0"; "COMCTL32.OCX"
Begin VB.Form Form1 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Colour Mixer"
   ClientHeight    =   4050
   ClientLeft      =   150
   ClientTop       =   720
   ClientWidth     =   4710
   Icon            =   "Colours.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4050
   ScaleWidth      =   4710
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton exit_button 
      Caption         =   "&Exit"
      Height          =   375
      Left            =   3240
      TabIndex        =   7
      Top             =   3600
      Width           =   1335
   End
   Begin VB.Frame results 
      Caption         =   "Results"
      Height          =   1575
      Left            =   120
      TabIndex        =   5
      Top             =   1920
      Width           =   4455
      Begin VB.TextBox result 
         BeginProperty Font 
            Name            =   "Courier New"
            Size            =   9.75
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   315
         Left            =   2640
         TabIndex        =   4
         Text            =   "Text1"
         Top             =   840
         Width           =   1455
      End
      Begin VB.Label Label1 
         Caption         =   "Hexadecimal value:"
         Height          =   255
         Left            =   2640
         TabIndex        =   6
         Top             =   480
         Width           =   1575
      End
      Begin VB.Shape rectangle 
         FillStyle       =   0  'Solid
         Height          =   1215
         Left            =   240
         Top             =   240
         Width           =   2175
      End
   End
   Begin VB.Frame Components 
      Caption         =   "Components"
      Height          =   1695
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   4455
      Begin ComctlLib.Slider red_slider 
         Height          =   375
         Left            =   840
         TabIndex        =   1
         Top             =   240
         Width           =   3015
         _ExtentX        =   5318
         _ExtentY        =   661
         _Version        =   327682
         LargeChange     =   32
         SmallChange     =   16
         Max             =   255
      End
      Begin ComctlLib.Slider green_slider 
         Height          =   375
         Left            =   840
         TabIndex        =   2
         Top             =   720
         Width           =   3015
         _ExtentX        =   5318
         _ExtentY        =   661
         _Version        =   327682
         LargeChange     =   32
         SmallChange     =   16
         Max             =   255
      End
      Begin ComctlLib.Slider blue_slider 
         Height          =   375
         Left            =   840
         TabIndex        =   3
         Top             =   1200
         Width           =   3015
         _ExtentX        =   5318
         _ExtentY        =   661
         _Version        =   327682
         LargeChange     =   32
         SmallChange     =   16
         Max             =   255
      End
      Begin VB.Label blue_value 
         Caption         =   "0"
         Height          =   255
         Left            =   3960
         TabIndex        =   13
         Top             =   1260
         Width           =   375
      End
      Begin VB.Label green_value 
         Caption         =   "0"
         Height          =   255
         Left            =   3960
         TabIndex        =   12
         Top             =   780
         Width           =   375
      End
      Begin VB.Label red_value 
         Caption         =   "0"
         Height          =   255
         Left            =   3960
         TabIndex        =   11
         Top             =   300
         Width           =   375
      End
      Begin VB.Label Label4 
         Caption         =   "&Blue"
         Height          =   255
         Left            =   240
         TabIndex        =   10
         Top             =   1260
         Width           =   615
      End
      Begin VB.Label Label3 
         Caption         =   "&Green"
         Height          =   255
         Left            =   240
         TabIndex        =   9
         Top             =   780
         Width           =   615
      End
      Begin VB.Label Label2 
         Caption         =   "&Red"
         Height          =   255
         Left            =   240
         TabIndex        =   8
         Top             =   300
         Width           =   735
      End
   End
   Begin VB.Menu menu_file 
      Caption         =   "&File"
      Index           =   0
      Begin VB.Menu menu_exit 
         Caption         =   "&Exit"
      End
   End
   Begin VB.Menu menu_help 
      Caption         =   "&Help"
      Begin VB.Menu menu_about 
         Caption         =   "&About"
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub change_colour()

    Dim red, green, blue As String
    Dim rectangle_colour As Double
    
    If red_slider.Value > 15 Then
        red = Hex(red_slider.Value)
    Else
        red = "0" + Hex(red_slider.Value)
    End If
        
    If green_slider.Value > 15 Then
        green = Hex(green_slider.Value)
    Else
        green = "0" + Hex(green_slider.Value)
    End If
    
    If blue_slider.Value > 15 Then
        blue = Hex(blue_slider.Value)
    Else
        blue = "0" + Hex(blue_slider.Value)
    End If

    rectangle_colour = Val("&H00" + blue + green + red + "&")
    rectangle.FillColor = rectangle_colour
    result.Text = "#" + red + green + blue

End Sub

Private Sub blue_slider_KeyDown(KeyCode As Integer, Shift As Integer)

    blue_value.Caption = blue_slider.Value
    change_colour

End Sub

Private Sub blue_slider_MouseMove(Button As Integer, Shift As Integer, x As Single, y As Single)

    blue_value.Caption = blue_slider.Value
    change_colour

End Sub

Private Sub exit_button_Click()

    End
    
End Sub

Private Sub Form_Load()

    rectangle.FillColor = &H0
    green_slider.Value = 0
    green_value.Caption = 0
    red_slider.Value = 0
    red_value.Caption = 0
    blue_slider.Value = 0
    blue_value.Caption = 0
    result.Text = "#000000"

End Sub

Private Sub green_slider_KeyDown(KeyCode As Integer, Shift As Integer)

    green_value.Caption = green_slider.Value
    change_colour

End Sub

Private Sub green_slider_MouseMove(Button As Integer, Shift As Integer, x As Single, y As Single)

    green_value.Caption = green_slider.Value
    change_colour

End Sub

Private Sub menu_about_Click()

    frmAbout.Show

End Sub

Private Sub menu_exit_Click()

    End
    
End Sub

Private Sub red_slider_KeyDown(KeyCode As Integer, Shift As Integer)

    red_value.Caption = red_slider.Value
    change_colour

End Sub

Private Sub red_slider_MouseMove(Button As Integer, Shift As Integer, x As Single, y As Single)

    red_value.Caption = red_slider.Value
    change_colour

End Sub
